/* $Id: SetImageFolderPathAction.java 434 2011-10-18 14:28:15Z shayashi $ */
package smart_gs.menu.action;

import java.awt.event.ActionListener;

import smart_gs.logical.Preference;
import smart_gs.menu.DirectorySettingWindow;

public class SetImageFolderPathAction extends SetDirectoryPathAction implements
		ActionListener {
	
	public SetImageFolderPathAction(){
		chooser.setDialogTitle("Image Folder Path");
	}
	@Override
	protected String getOldPath() {
		return Preference.getInstance().getImageFolderPathString();
	}
	@Override
	protected void validateNewPath(String newPath) {
		DirectorySettingWindow.getInstance().setImageTextField(newPath);
	}

}
